#ifndef	_zhgmorph_h_
#define	_zhgmorph_h_

typedef	struct {
	int	size;	/* number of points in the structuring element */
	int	*x, *y;	/* pointers for the (x,y) coordinates */
} MSE;	/* Morphological Structuring Element */

int	block_MSE(int rows, int cols, int left, int top, MSE *se);
int	disk_MSE(float R, int cen_x, int cen_y, MSE *se);
int	line_MSE(int x1, int y1, int x2, int y2, MSE *se);
void	free_MSE(MSE *se);

void	zhgopen(int **inimage, int rows, int cols, MSE *se, int **outimage);
void	zhgclose(int **inimage, int rows, int cols, MSE *se, int **outimage);
void	zhgdilation(int **inimage, int rows, int cols, MSE *se, int **outimage);
void	zhgerosion(int **inimage, int rows, int cols, MSE *se, int **outimage);

#endif
